#
# spec file for package perl-Log-TraceMessages
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name Log-TraceMessages
Name:           perl-Log-TraceMessages
Version:        1.400.0
Release:        1699.1.pm.2
# 1.4 -> normalize -> 1.400.0
%define cpan_version 1.4
License:        Artistic-1.0 OR GPL-1.0-or-later
Summary:        Perl extension for trace messages used in debugging
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/E/ED/EDAVIS/%{cpan_name}-%{cpan_version}.tar.gz
Source1:        cpanspec.yml
Patch0:         Log-TraceMessages.tmpnam.patch
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(HTML::FromText) >= 1.4.0
Requires:       perl(HTML::FromText) >= 1.4.0
Provides:       perl(Log::TraceMessages) = %{version}
%undefine       __perllib_provides
%{perl_requires}

%description
This module is a slightly better way to put trace statements into your code
than just calling print(). It provides an easy way to turn trace on and off
for particular sections of code without having to comment out bits of
source.

%prep
%autosetup  -n %{cpan_name}-%{cpan_version} -p1

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%doc Changes README

%changelog
* Thu Mar  7 2024 Tina Müller <tina.mueller@suse.com>
- Use %%autosetup instead of deprecated %%patchN
* Mon Oct  9 2017 olaf@aepfle.de
- Require Module::Install for perl 5.26
- Remove POSIX::tmpnam usage with Log-TraceMessages.tmpnam.patch
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Mon Nov 29 2010 coolo@novell.com
- called spec2changelog
* Tue Jun 20 2006 jfunk@funktronics.ca
- Build under buildservice
* Fri Nov 11 2005 jfunk@funktronics.ca
- Build for SL10
* Thu May 12 2005 jfunk@funktronics.ca
- Build for SL93
* Fri Nov 19 2004 jfunk@funktronics.ca
- Build for SL92
* Tue May 11 2004 jfunk@funktronics.ca
- Build for SL91
* Thu Jan 15 2004 jfunk@funktronics.ca
- Update
* Mon Nov  3 2003 jfunk@funktronics.ca
- Build for SUSE 9.0
* Fri May 30 2003 jfunk@funktronics.ca
- Update
- Build for SuSE 8.2
* Wed Dec 11 2002 jfunk@funktronics.ca
- Update to 1.2
- Build for SuSE 8.1
* Thu May 30 2002 jfunk@funktronics.ca
- Initial build with new spec layout
